package com.facebook.internal;

import X.C3622JcD;
import X.M12;
import android.content.ContentProvider;
import android.content.ContentValues;
import android.database.Cursor;
import android.net.Uri;
import com.bytedance.covode.number.Covode;

public final class FacebookInitProvider extends ContentProvider {
    public static final C3622JcD LIZ = new C3622JcD((byte) 0);
    public static final String LIZIZ;

    public final int delete(Uri uri, String str, String[] strArr) {
        M12.LIZ(uri);
        return 0;
    }

    public final String getType(Uri uri) {
        M12.LIZ(uri);
        return null;
    }

    public final Uri insert(Uri uri, ContentValues contentValues) {
        M12.LIZ(uri);
        return null;
    }

    public final boolean onCreate() {
        return false;
    }

    public final Cursor query(Uri uri, String[] strArr, String str, String[] strArr2, String str2) {
        M12.LIZ(uri);
        return null;
    }

    public final int update(Uri uri, ContentValues contentValues, String str, String[] strArr) {
        M12.LIZ(uri);
        return 0;
    }

    static {
        Covode.recordClassIndex(41754);
        String simpleName = FacebookInitProvider.class.getSimpleName();
        M12.LIZ(simpleName);
        LIZIZ = simpleName;
    }
}
